#include "__tag.h"
#include "Exception.h"

namespace jet {
   
   __tag::__tag(coreutils::ZString &in, coreutils::MString &parentOut, Global &global, Tag *parent) : Tag(in, parentOut, global, parent) {
      evaluate = false;
      output = false;
      if(!variableDefined("name"))
	throw coreutils::Exception("tag must have a name.");
      if(!hasContainer)
	throw coreutils::Exception("tag requires a container to process.");
      global.tags[variables["name"]] = container;      
   }
}

